Name:           python-pose-format
Version:        0.8.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Library for viewing, augmenting, and handling .pose files

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://pypi.org/project/pose-format/
Source:         %{pypi_source pose_format}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'pose-format' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-pose-format
Summary:        %{summary}

%description -n python3-pose-format %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-pose-format dev


%prep
%autosetup -p1 -n pose_format-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x dev


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-pose-format -f %{pyproject_files}


%changelog
%autochangelog